#include <bits/stdc++.h>


using namespace std;
typedef long long ll;
 ll N = 1e6;
int main()
{
    int n,k,x;
    scanf("%d%d%d", &n, &k, &x);
    /*if(round(sqrt(n*n*1.0-4*k*1.0))==sqrt(n*n*1.0-4*k*1.0))
    {
        int k2=(n+round(sqrt(n*n*1.0-4*k*1.0)))/2;
        int k1=n-k2;
        for(int i=1;i<=k1;i++)
        {
            printf("%d ", N);
        }
        for(int i=1;i<=k2;i++)
        {
            printf("%d ", N-x);
        }
    }
    */
    if(n>=k+1)
    {
        printf("%lld ", N);
        int t=n-k-1;
        for(int i=1;i<=t;i++)
        {
            printf("%d ", N-x+1);
        }
        for(int i=1;i<=k;i++)
        {
            printf("%d ", N-2*x);
        }
    }else
    cout<<"-1"<<endl;

   return 0;

}